[Hackage] #791: Large libraries not installable on OS X

Hackage cvs-ghc at haskell.org
Tue Jan 18 13:17:25 CET 2011

#791: Large libraries not installable on OS X
  Reporter:  batterseapower  |        Owner:         
      Type:  defect          |       Status:  new    
  Priority:  high            |    Milestone:         
 Component:  Cabal library   |      Version:
  Severity:  normal          |     Keywords:         
Difficulty:  unknown         |   Ghcversion:         
  Platform:  Mac OS          |  

Comment(by batterseapower):

 It was my understanding that GHCi will use the .a on all platforms - so
 you could disable it unconditionally for GHC >= 7. See the patch at
 for details.

 However, I'm having some problems making it actually work (as you can see
 above). I've filed GHC #4901
 (http://hackage.haskell.org/trac/ghc/ticket/4901) to get feedback on
 whether my understanding at fault or GHCi is.

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/791#comment:3>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list